set(lrpo).

assign(max_mem, 24000).
assign(max_seconds, 1800).

clear(print_kept).
clear(print_new_demod).
clear(print_back_demod).
clear(print_given).

set(basic_paramod).
set(functional_subsume).
set(ordered_paramod).
set(prime_paramod).

assign(pick_given_ratio, 4).

set(para_pairs).  % delete for given algorithm

%%%%%%%%%%%%%%%%%%%%%%
op(400, xfx, [*,+,^,v,/,\,#]).  % infix operators
op(300,yf,@).                   % postfix operator

assign(max_weight, 23).
op(400,xfx,-).  % infix operators

end_of_commands.

list(sos).
x - (y - x) = x.
x - (x - y) = y - (y - x).
(x - y) - z = (x - z) - y.

(A - B) - C != (A - C) - (B - C).
end_of_list.

